summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorjan.nijtmans <nijtmans@users.sourceforge.net>2021-05-22 13:02:09 (GMT)
committerjan.nijtmans <nijtmans@users.sourceforge.net>2021-05-22 13:02:09 (GMT)
commit57b99249e67918f2283225a4e3beadb841fdb881 (patch)
treecca13bebede1d7fe3da472f0297bbff63f49d49c /.github
parent5f966b7f24725eb6e42da2434c68b1634827109d (diff)
parent682690d085b357eb193b4cae9f0f0708d28af79a (diff)
downloadtk-57b99249e67918f2283225a4e3beadb841fdb881.zip
tk-57b99249e67918f2283225a4e3beadb841fdb881.tar.gz
tk-57b99249e67918f2283225a4e3beadb841fdb881.tar.bz2
Merge 8.6
Diffstat (limited to '.github')
-rw-r--r--.github/workflows/mac-build.yml5
1 files changed, 2 insertions, 3 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml
index 72a13d0..a14af01 100644
--- a/.github/workflows/mac-build.yml
+++ b/.github/workflows/mac-build.yml
@@ -75,7 +75,7 @@ jobs:
# This involves black magic
run: |
brew install --cask xquartz
- sudo /opt/X11/lib/X11/xinit/privileged_startx.d/10-tmpdirs || true
+ sudo /opt/X11/libexec/privileged_startx || true
working-directory: .
- name: Build Tcl
# Note that macOS is always a 64 bit platform
@@ -120,7 +120,6 @@ jobs:
Xvfb $1 &
XVFB_PID=$!
echo Launched Xvfb $1 as process $XVFB_PID >&2
- trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID" 0
export DISPLAY=$1
sleep 2
}
@@ -134,7 +133,7 @@ jobs:
exit 1
}
cat out.txt | grep -q "Failed [1-9]" && {
- echo "::error::Failure during Test"
+ echo "::error::Failure in test results"
exit 1
}
- name: Carry out trial installation